Stored configuration versions
const url = 'https://example.com/api/v1/config/versions';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/config/versionsNewest first; sha is the content hash that names the version.
Responses
Section titled “Responses”Successful Response
Known configuration versions.
object
One stored community configuration version.
object
Example generated
{ "items": [ { "created_at": "2026-04-15T12:00:00Z", "sha": "example", "version": "example" } ]}Unauthorized
Application/problem+json body. Extension members (for example job_id) are allowed.
object
One validation failure: where, what, and a stable machine code (never the input value).
object
Example
{ "type": "about:blank"}Forbidden
Application/problem+json body. Extension members (for example job_id) are allowed.
object
One validation failure: where, what, and a stable machine code (never the input value).
object
Example
{ "type": "about:blank"}Map data © OpenStreetMap contributors, under the Open Database Licence. Code under the Apache-2.0 licence. Made by Yogesh.
Changeset Second Opinion is an independent open source tool for OpenStreetMap reviewers. It is not endorsed by, sponsored by or affiliated with the OpenStreetMap Foundation. OpenStreetMap is a trademark of the OpenStreetMap Foundation, used under itstrademark policy.